%define tarver	%{expand:%(echo %{version}|rev|sed 's/\\\./\-/'|rev)}

Name:		simh
Summary:	A collection of simulators of historically significant data processing systems
Version:	3.9.0
Release:	%mkrel 1
License:	MIT and GPLv1+
Group:		Emulators
Url:		https://github.com/simh/simh
Source0:	simh-%{tarver}-noroms.tar.gz
# ./simh-create-tarball.sh 3.9-0
Source1:	simh-create-tarball.sh

BuildRequires:	pcap-devel

%description
This package contains simulators of the following systems:
* Data General Nova, Eclipse
* Digital Equipment Corporation PDP-1, PDP-4, PDP-7, PDP-8, PDP-9, PDP-10,
  PDP-11, PDP-15, VAX
* GRI Corporation GRI-909, GRI-99
* IBM 1401, 1620, 7090/7094, System 3
* Interdata (Perkin-Elmer) 16b and 32b systems
* Hewlett-Packard 2114, 2115, 2116, 2100, 21MX, 1000
* Honeywell H316/H516
* MITS Altair 8800, with both 8080 and Z80
* Royal-Mcbee LGP-30, LGP-21
* Scientific Data Systems SDS 940

%prep
%setup -q -n %{name}-%{tarver}

%build
# Parallel build is unreliable
make
pushd BIN
for i in *; do 
	mv -v ${i} %{name}-${i}
done
popd

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 BIN/* %{buildroot}%{_bindir}

%files
%doc *.txt */*txt
%{_bindir}/%{name}-*


%changelog
* Fri Apr 01 2016 barjac <barjac> 3.9.0-1.mga6
+ Revision: 997529
- clean spec and re-work for mga
- import simh with thanks to Fedora


* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 24 2014 Lucian Langa <cooly@gnome.eu.org> - 3.9.0-1
- sync with latest upstream stable
- drop all patches - fixed upstream
- fix bogus dates

* Tue Aug 06 2013 Lucian Langa <cooly@gnome.eu.org> - 3.8.1-11
- don't create versioned docdir

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed May 19 2010 Lucian Langa <cooly@gnome.eu.org> - 3.8.1-6
- bump rel to fix NVR higher than previous version

* Sat Jan 09 2010 Lucian Langa <cooly@gnome.eu.org> - 3.8.1-5
- fix altair segfault

* Tue Nov 17 2009 Lucian Langa <cooly@gnome.eu.org> - 3.8.1-4
- add correct source

* Fri Nov 13 2009 Lucian Langa <cooly@gnome.eu.org> - 3.8.1-3
- update description

* Sun Nov 08 2009 Lucian Langa <cooly@gnome.eu.org> - 3.8.1-2
- add correct generate script

* Thu Oct 08 2009 Lucian Langa <cooly@gnome.eu.org> - 3.8.1-1
- remove separate docs
- misc cleanups
- new upstream release

* Wed Dec 24 2008 Lucian Langa <cooly@gnome.eu.org> - 3.8.0-1
- initial spec file


